Skip to main content

Metamorph Actor's last run

POST 

/v2/actors/:actorId/runs/last/metamorph

Transforms the last run of the specified Actor into a run of another Actor with a new input.

This endpoint is a shortcut for Metamorph Actor run on the Actor's last run.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

    targetActorId string required

    ID of a target Actor that the run should be transformed into.


    Example: HDSasDasz78YcAPEB
    build string

    Optional build of the target Actor.

    It can be either a build tag or build number. By default, the run uses the build specified in the default run configuration for the target Actor (typically latest).


    Example: beta

Status 200

Response Headers
    {
    "data": {
    "id": "HG7ML7M8z78YcAPEB",
    "actId": "HDSasDasz78YcAPEB",
    "userId": "7sT5jcggjjA9fNcxF",
    "actorTaskId": "KJHSKHausidyaJKHs",
    "startedAt": "2019-11-30T07:34:24.202Z",
    "finishedAt": "2019-12-12T09:30:12.202Z",
    "status": "READY",
    "statusMessage": "Actor is running",
    "isStatusMessageTerminal": false,
    "meta": {
    "origin": "DEVELOPMENT",
    "clientIp": "string",
    "userAgent": "string",
    "scheduleId": "string",
    "scheduledAt": "2024-07-29T15:51:28.071Z",
    "actorRunId": "HG7ML7M8z78YcAPEB",
    "webhookDispatchId": "asdLZtadYvn4mBZmm",
    "scheduledAct2Id": "c6KfSgoQzFhMk3etc",
    "scheduledActorTaskId": "c6KfSgoQzFhMk3etc"
    },
    "pricingInfo": {
    "apifyMarginPercentage": 0.2,
    "createdAt": "2024-07-29T15:51:28.071Z",
    "startedAt": "2024-07-29T15:51:28.071Z",
    "notifiedAboutFutureChangeAt": "2024-07-29T15:51:28.071Z",
    "notifiedAboutChangeAt": "2024-07-29T15:51:28.071Z",
    "notifiedAboutRentalToPpePriceChangeAt": "2024-07-29T15:51:28.071Z",
    "reasonForChange": "string",
    "isPriceChangeNotificationSuppressed": true,
    "forceContainsSignificantPriceChange": true,
    "pricingModel": "PAY_PER_EVENT",
    "pricingPerEvent": {
    "actorChargeEvents": {}
    },
    "minimalMaxTotalChargeUsd": 0,
    "isPPEPlatformUsagePaidByUser": false
    },
    "stats": {
    "inputBodyLen": 240,
    "migrationCount": 0,
    "rebootCount": 0,
    "restartCount": 0,
    "resurrectCount": 2,
    "memAvgBytes": 267874071.9,
    "memMaxBytes": 404713472,
    "memCurrentBytes": 0,
    "cpuAvgUsage": 33.7532101107538,
    "cpuMaxUsage": 169.650735534941,
    "cpuCurrentUsage": 0,
    "netRxBytes": 103508042,
    "netTxBytes": 4854600,
    "durationMillis": 248472,
    "runTimeSecs": 248.472,
    "metamorph": 0,
    "computeUnits": 0.13804
    },
    "chargedEventCounts": {
    "actor-start": 1,
    "page-crawled": 150,
    "data-extracted": 75
    },
    "accountedChargedEventCounts": {
    "actor-start": 1,
    "page-crawled": 150
    },
    "eventUsage": {},
    "externalChargedTotalUsd": 0.5,
    "standby": {
    "deployment": "MULTI_TENANT_PAYING_USERS"
    },
    "integrationTracking": {
    "platform": "zapier",
    "appId": "string",
    "isAiTool": false
    },
    "createdByOrganizationMemberUserId": "7sT5jcggjjA9fNcxF",
    "consoleUrl": "https://console.apify.com/view/runs/HG7ML7M8z78YcAPEB",
    "output": {
    "results": "https://api.apify.com/v2/datasets/wmKPijuyDnPZAPRMk/items"
    },
    "options": {
    "build": "latest",
    "timeoutSecs": 300,
    "memoryMbytes": 1024,
    "diskMbytes": 2048,
    "restartOnError": false,
    "maxItems": 1000,
    "maxTotalChargeUsd": 5,
    "isMaxTotalChargeUsdSetByUser": true
    },
    "buildId": "7sT5jcggjjA9fNcxF",
    "exitCode": 0,
    "generalAccess": "RESTRICTED",
    "defaultKeyValueStoreId": "eJNzqsbPiopwJcgGQ",
    "defaultDatasetId": "wmKPijuyDnPZAPRMk",
    "defaultRequestQueueId": "FL35cSF7jrxr3BY39",
    "storageIds": {
    "datasets": {
    "default": "wmKPijuyDnPZAPRMk"
    },
    "keyValueStores": {
    "default": "eJNzqsbPiopwJcgGQ"
    },
    "requestQueues": {
    "default": "FL35cSF7jrxr3BY39"
    }
    },
    "buildNumber": "0.0.36",
    "containerUrl": "https://g8kd8kbc5ge8.runs.apify.net",
    "isContainerServerReady": true,
    "gitBranchName": "master",
    "usage": {
    "ACTOR_COMPUTE_UNITS": 3,
    "DATASET_READS": 4,
    "DATASET_WRITES": 4,
    "KEY_VALUE_STORE_READS": 5,
    "KEY_VALUE_STORE_WRITES": 3,
    "KEY_VALUE_STORE_LISTS": 5,
    "REQUEST_QUEUE_READS": 2,
    "REQUEST_QUEUE_WRITES": 1,
    "DATA_TRANSFER_INTERNAL_GBYTES": 1,
    "DATA_TRANSFER_EXTERNAL_GBYTES": 3,
    "PROXY_RESIDENTIAL_TRANSFER_GBYTES": 34,
    "PROXY_SERPS": 3,
    "PROXY_UNBLOCKER_UNITS": 0
    },
    "usageTotalUsd": 0.2654,
    "usageUsd": {
    "ACTOR_COMPUTE_UNITS": 0.0003,
    "DATASET_READS": 0.0001,
    "DATASET_WRITES": 0.0001,
    "KEY_VALUE_STORE_READS": 0.0001,
    "KEY_VALUE_STORE_WRITES": 0.00005,
    "KEY_VALUE_STORE_LISTS": 0.0001,
    "REQUEST_QUEUE_READS": 0.0001,
    "REQUEST_QUEUE_WRITES": 0.0001,
    "DATA_TRANSFER_INTERNAL_GBYTES": 0.001,
    "DATA_TRANSFER_EXTERNAL_GBYTES": 0.003,
    "PROXY_RESIDENTIAL_TRANSFER_GBYTES": 0.034,
    "PROXY_SERPS": 0.003,
    "PROXY_UNBLOCKER_UNITS": 0
    },
    "metamorphs": [
    {
    "createdAt": "2019-11-30T07:39:24.202Z",
    "actorId": "nspoEjklmnsF2oosD",
    "buildId": "ME6oKecqy5kXDS4KQ",
    "inputKey": "INPUT-METAMORPH-1",
    "buildTags": [
    "latest"
    ]
    }
    ],
    "platformUsageBillingModel": "USER"
    }
    }